Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface BuildManager

All Known Implementing Classes:
  HibernateBuildManager

    public interface BuildManager

Manager to handle all build related activities

Method Summary
`void` | `addBuildResults(Build build, BuildResults buildResults)`
`void` | `addChildBuild(Build build, String childBuildKey)`
`void` | `createBuild(Build build, BuildConfiguration buildConfiguration)` Save a new build object with the passed buildConfiguration
`void` | `deleteBuild(Build build)` Removes the build from system
`void` | `deleteBuildResults(Build build, long buildNumber)`
`void` | `deleteProject(Project project)` Removes the project from the system
`void` | `executeBuild(Build build, ReasonForBuild reasonForBuild)` Instruct Bamboo to build the given build.
`Collection` | `getAllBuilds()` Returns a collection of `Build` objects
`Collection` | `getAllProjects()`
`Build` | `getBuildById(long id)`
`Build` | `getBuildByKey(String key)` Returns the build given a key
`Build` | `getBuildByProjectAndName(String projectKey, String buildName)`
`BuildResults` | `getBuildResults(Build build, long buildNumber)`
`BuildResults` | `getCurrentBuildingResult(Build build)` Method to get the current executing `BuildResultsImpl` object.
`Project` | `getProjectById(long id)`
`Project` | `getProjectByKey(String key)`
`Project` | `getProjectByName(String projectName)`
`boolean` | `isExistingBuildKey(String buildKey)` Returns true if the build key already exists
`boolean` | `isExistingBuildKey(String projectKey, String buildKey)`
`boolean` | `isExistingBuildName(String buildName)` Returns true if the build name already exists
`boolean` | `isExistingBuildName(String projectKey, String buildName)`
`boolean` | `isExistingProjectKey(String projectKey)`
`boolean` | `isExistingProjectName(String projectName)`
`void` | `recordLastBuildNumber(Build build, BuildResultsSummary summary)`
`void` | `removeDependencies(String dependentBuild)` Removes a build from all dependency lists.
`int` | `retrieveNextBuildNumber(Build build)`
`void` | `saveBuild(Build build)` Perists a build
`void` | `saveBuildAndDefinition(Build build)`
`void` | `saveBuildConfig(Build build, BuildConfiguration buildConfiguration)` Save an existing build with the given build configuration
`void` | `updateNames(String projectName, String buildName, Build build)`

Method Detail

### removeDependencies

    void removeDependencies(String dependentBuild)

  Removes a build from all dependency lists. I.e. No builds will trigger the build specified.

  Parameters:
    `dependentBuild` - - the name of the build that is triggered

### getBuildByKey

    Build getBuildByKey(String key)

  Returns the build given a key

  Parameters:
    `key` - - full key of the build. eg. BAM-MAIN null safe
  Returns:
    A `Build` if the key matches. Otherwise null

### getBuildById

    Build getBuildById(long id)

### getAllBuilds

    Collection getAllBuilds()

  Returns a collection of `Build` objects

  Returns:
    all builds in the system `Collections.EMPTY_LIST` if none exists

### getAllProjects

    Collection getAllProjects()

### getProjectByKey

    Project getProjectByKey(String key)

### getProjectById

    Project getProjectById(long id)

### isExistingBuildName

    boolean isExistingBuildName(String buildName)

  Returns true if the build name already exists

  Parameters:
    `buildName` - name to check
  Returns:
    true if the build name already exists

### isExistingBuildKey

    boolean isExistingBuildKey(String buildKey)

  Returns true if the build key already exists

  Parameters:
    `buildKey` - key of the build
  Returns:
    true if buildKey already exists

### isExistingProjectName

    boolean isExistingProjectName(String projectName)

### isExistingProjectKey

    boolean isExistingProjectKey(String projectKey)

### isExistingBuildName

    boolean isExistingBuildName(String projectKey,
                                String buildName)

### isExistingBuildKey

    boolean isExistingBuildKey(String projectKey,
                               String buildKey)

### executeBuild

    void executeBuild(Build build,
                      ReasonForBuild reasonForBuild)

  Instruct Bamboo to build the given build.

  Parameters:
    `build` - The build to execute
    `reasonForBuild` - the reason for building

### createBuild

    void createBuild(Build build,
                     BuildConfiguration buildConfiguration)

  Save a new build object with the passed buildConfiguration

  Parameters:
    `build` - @NotNull
    `buildConfiguration` - @NotNull

### saveBuild

    void saveBuild(Build build)

  Perists a build

  Parameters:
    `build` - cannot be null

### saveBuildAndDefinition

    void saveBuildAndDefinition(Build build)

### saveBuildConfig

    void saveBuildConfig(Build build,
                         BuildConfiguration buildConfiguration)

  Save an existing build with the given build configuration

  Parameters:
    `build` - @NotNull
    `buildConfiguration` - @NotNull

### deleteBuild

    void deleteBuild(Build build)

  Removes the build from system

  Parameters:
    `build` - build

### deleteProject

    void deleteProject(Project project)

  Removes the project from the system

  Parameters:
    `project` - project

### getCurrentBuildingResult

    BuildResults getCurrentBuildingResult(Build build)

  Method to get the current executing `BuildResultsImpl` object.

  Parameters:
    `build` - @NotNull
  Returns:
    currnet executing `BuildResultsImpl` of the given build. Null if none is building

### addBuildResults

    void addBuildResults(Build build,
                         BuildResults buildResults)

### getBuildResults

    BuildResults getBuildResults(Build build,
                                 long buildNumber)

### deleteBuildResults

    void deleteBuildResults(Build build,
                            long buildNumber)

### retrieveNextBuildNumber

    int retrieveNextBuildNumber(Build build)

### recordLastBuildNumber

    void recordLastBuildNumber(Build build,
                               BuildResultsSummary summary)

### addChildBuild

    void addChildBuild(Build build,
                       String childBuildKey)

### getProjectByName

    Project getProjectByName(String projectName)

### getBuildByProjectAndName

    Build getBuildByProjectAndName(String projectKey,
                                   String buildName)

### updateNames

    void updateNames(String projectName,
                     String buildName,
                     Build build)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.